/**
  *  \file client/chart/messagemode.h
  *  \brief Starchart Mode: WMessageChartMode
  *
  *  (c) 2001-2015 Stefan Reuther <Streu@gmx.de>
  *
  *  This program is free software; you can redistribute it and/or
  *  modify it under the terms of file `COPYING' that comes with the
  *  source code.
  *
  *  This program is distributed in the hope that it will be useful,
  *  but WITHOUT ANY WARRANTY; without even the implied warranty of
  *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
  */
#ifndef PCC_V2_CLIENT_CHART_MESSAGEMODE_H
#define PCC_V2_CLIENT_CHART_MESSAGEMODE_H

#include "client/chartmode.h"
#include "cpluslib/string.h"

/** Starchart Message Popup. Displays a small, decaying popup text. 
    Use as confirmation for various keystrokes. */
class WMessageChartMode : public WSimpleChartMode {
    string_t text;
    int state;
 private:
    WMessageChartMode(string_t text);
 public:
    ~WMessageChartMode();
    void drawOverlays(GfxCanvas& can, GChartLocation& loc);
    bool handleEvent(const UIEvent& event, GChartLocation& loc);

    static void showMessage(WChartModeList& chart_modes, string_t text);
};

#endif
