/**
  *  \file ui/widgets/minimalbutton.h
  *  \brief UIMinimalButton widget
  *
  *  (c) 2001-2015 Stefan Reuther <Streu@gmx.de>
  *
  *  This program is free software; you can redistribute it and/or
  *  modify it under the terms of file `COPYING' that comes with the
  *  source code.
  *
  *  This program is distributed in the hope that it will be useful,
  *  but WITHOUT ANY WARRANTY; without even the implied warranty of
  *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
  */
#ifndef PCC_V2_UI_WIDGETS_MINIMALBUTTON_H
#define PCC_V2_UI_WIDGETS_MINIMALBUTTON_H

#include "ui/widgets/abstractbutton.h"

/** Minimal button. Just a clickable line of text. */
class UIMinimalButton : public UIAbstractButton {
    string_t name;
    bool layout;
 public:
    UIMinimalButton(int id, string_t name, UIKey key, bool layout = false);
    void drawContent(GfxCanvas& can);
    void getLayoutInfo(LayoutInfo&);
};

#endif
